TLS 1.0/ 1.1 support

I am not experienced with SingleStore, so I apologize for the question. I gather from the forums that TLS versions prior to 1.2 are supported. Are TLS versions 1.0 and 1.1 still officially supported? If so, are there plans to deprecate them? If there is public documentation for this, a pointer would be helpful as I was not able to find it. Thanks! Aaron

Hi Aaron! :wave: Welcome to our community forums! Great question.

SingleStore supports TLS 1.2 for data in transit and for all connections to the database. Although other versions may work, they are not officially supported and are not recommended for production environments. Here is some documentation, we hope you find helpful: Encryption

Thank you for that, Maria!

Along those lines, can we get the historical information on 1.0/1.1 support like:

  1. Last version supporting TLS 1.0/1.1
  2. EOL date for TLS 1.0/1.1
  3. First version not officially supporting TLS 1.0/1.1

Thank you much!
Aaron

Hey Aaron,

For self managed (SingleStoreDB) clusters, admins can specify the TLS version they wish to use upon cluster creation.

In the managed service (SingleStoreMS), the default configuration is for TLS 1.2. For customers in the managed service, our support engineering team can help configure TLS to support prior versions.

Are you on a managed service or self hosted?